# Generated by Django 3.2.14 on 2023-06-23 10:23

from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0109_profile_feature'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('document', '0118_productsitemdata_invoice_number'),
    ]

    operations = [
        migrations.CreateModel(
            name='AutomatedWeeklyRecapSetting',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('receiver_email_ids', django.contrib.postgres.fields.ArrayField(base_field=models.EmailField(max_length=254), size=None)),
                ('weekly_schedule', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(choices=[('Monday', 'Monday'), ('Tuesday', 'Tuesday'), ('Wednesday', 'Wednesday'), ('Thursday', 'Thursday'), ('Friday', 'Friday'), ('Saturday', 'Saturday'), ('Sunday', 'Sunday')], max_length=15), size=None)),
                ('contact_type_crm_id', models.PositiveIntegerField()),
                ('email_subject', models.CharField(max_length=200)),
                ('email_body_text', models.TextField()),
                ('is_enabled', models.BooleanField(default=True)),
                ('provider', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='weekly_recap_setting', to='accounts.provider')),
                ('sender', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
